Index: include/libroar/simple.h
===================================================================
--- include/libroar/simple.h	(revision 5225)
+++ include/libroar/simple.h	(revision 5226)
@@ -42,24 +42,13 @@
 int roar_simple_connect2(struct roar_connection * con, const char * server, const char * name, int flags, uint_least32_t timeout);
 
-int roar_simple_stream  (int rate, int channels, int bits, int codec, const char * server, int dir, const char * name) _LIBROAR_ATTR_DEPRECATED;
 int roar_simple_stream_obj  (struct roar_stream * s, int rate, int channels, int bits, int codec, const char * server, int dir, const char * name) _LIBROAR_ATTR_DEPRECATED;
 
 int roar_simple_new_stream_attachexeced_obj (struct roar_connection * con, struct roar_stream * s, int rate, int channels, int bits, int codec, int dir);
 
-int roar_simple_new_stream (struct roar_connection * con, int rate, int channels, int bits, int codec, int dir) _LIBROAR_ATTR_DEPRECATED;
 int roar_simple_new_stream_obj (struct roar_connection * con, struct roar_stream * s, int rate, int channels, int bits, int codec, int dir) _LIBROAR_ATTR_DEPRECATED;
 
 int roar_simple_play_file(const char * file, const char * server, const char * name);
 
-int roar_simple_play    (int rate, int channels, int bits, int codec, char * server, char * name) _LIBROAR_ATTR_DEPRECATED;
-int roar_simple_monitor (int rate, int channels, int bits, int codec, char * server, char * name) _LIBROAR_ATTR_DEPRECATED;
-int roar_simple_record  (int rate, int channels, int bits, int codec, char * server, char * name) _LIBROAR_ATTR_DEPRECATED;
-int roar_simple_filter  (int rate, int channels, int bits, int codec, char * server, char * name) _LIBROAR_ATTR_DEPRECATED;
-
 int roar_simple_connect_virtual(struct roar_connection * con, struct roar_stream * s, int parent, int dir);
-
-int roar_simple_close(int fh) _LIBROAR_ATTR_DEPRECATED;
-
-int roar_simple_get_standby (int fh) _LIBROAR_ATTR_DEPRECATED;
 
 #endif
Index: libroar/simple.c
===================================================================
--- libroar/simple.c	(revision 5225)
+++ libroar/simple.c	(revision 5226)
@@ -62,12 +62,4 @@
 }
 
-int roar_simple_stream(int rate, int channels, int bits, int codec, const char * server, int dir, const char * name) {
- struct roar_stream     s;
-
- roar_debug_warn_sysio("roar_simple_stream", "roar_vio_simple_stream", NULL);
-
- return roar_simple_stream_obj(&s, rate, channels, bits, codec, server, dir, name);
-}
-
 int roar_simple_stream_obj  (struct roar_stream * s, int rate, int channels, int bits, int codec, const char * server, int dir, const char * name) {
  struct roar_connection con;
@@ -78,6 +70,6 @@
 
  if ( roar_simple_connect(&con, server, name) == -1 ) {
-  ROAR_DBG("roar_simple_play(*): roar_simple_connect() faild!");
-  ROAR_ERR("roar_simple_stream(*): Can not connect to server");
+  ROAR_DBG("roar_simple_stream_obj(*): roar_simple_connect() faild!");
+  ROAR_ERR("roar_simple_stream_obj(*): Can not connect to server");
   return -1;
  }
@@ -140,17 +132,4 @@
 
  return fh;
-}
-
-int roar_simple_new_stream (struct roar_connection * con, int rate, int channels, int bits, int codec, int dir) {
- struct roar_stream     s;
- int ret;
-
- roar_debug_warn_sysio("roar_simple_new_stream", "roar_vio_simple_new_stream_obj", NULL);
-
- roar_libroar_nowarn();
- ret = roar_simple_new_stream_obj(con, &s, rate, channels, bits, codec, dir);
- roar_libroar_warn();
-
- return ret;
 }
 
@@ -421,28 +400,4 @@
 }
 
-int roar_simple_play(int rate, int channels, int bits, int codec, char * server, char * name) {
- roar_debug_warn_sysio("roar_simple_play", "roar_vio_simple_stream", NULL);
-
- return roar_simple_stream(rate, channels, bits, codec, server, ROAR_DIR_PLAY, name);
-}
-
-int roar_simple_monitor(int rate, int channels, int bits, int codec, char * server, char * name) {
- roar_debug_warn_sysio("roar_simple_monitor", "roar_vio_simple_stream", NULL);
-
- return roar_simple_stream(rate, channels, bits, codec, server, ROAR_DIR_MONITOR, name);
-}
-
-int roar_simple_record(int rate, int channels, int bits, int codec, char * server, char * name) {
- roar_debug_warn_sysio("roar_simple_record", "roar_vio_simple_stream", NULL);
-
- return roar_simple_stream(rate, channels, bits, codec, server, ROAR_DIR_RECORD, name);
-}
-
-int roar_simple_filter(int rate, int channels, int bits, int codec, char * server, char * name) {
- roar_debug_warn_sysio("roar_simple_filter", "roar_vio_simple_stream", NULL);
-
- return roar_simple_stream(rate, channels, bits, codec, server, ROAR_DIR_FILTER, name);
-}
-
 int roar_simple_connect_virtual(struct roar_connection * con, struct roar_stream * s, int parent, int dir) {
  struct roar_stream parent_stream;
@@ -473,31 +428,3 @@
 }
 
-int roar_simple_close(int fh) {
- roar_debug_warn_sysio("roar_simple_close", "roar_vio_close", NULL);
-
-#ifdef ROAR_TARGET_WIN32
- closesocket(fh);
- return 0;
-#else
-
-#ifdef ROAR_HAVE_IO_POSIX
- return close(fh);
-#else
- return -1;
-#endif
-
-#endif
-}
-
-int roar_simple_get_standby (int fh) {
- struct roar_connection con;
-
- roar_debug_warn_sysio("roar_simple_get_standby", "roar_get_standby", NULL);
-
- if ( roar_connect_fh(&con, fh) == -1 )
-  return -1;
-
- return roar_get_standby(&con);
-}
-
 //ll
Index: libroaresd/esdbasic.c
===================================================================
--- libroaresd/esdbasic.c	(revision 4708)
+++ libroaresd/esdbasic.c	(revision 5226)
@@ -71,5 +71,17 @@
 /* closes fd, previously obtained by esd_open */
 int esd_close( int esd ) {
- return roar_simple_close(esd);
+ struct roar_vio_calls vio;
+
+ if ( roar_vio_open_fh_socket(&vio, esd) == -1 ) {
+  roar_err_update();
+  return -1;
+ }
+
+ if ( roar_vio_close(&vio) == -1 ) {
+  roar_err_update();
+  return -1;
+ }
+
+ return 0;
 }
 
Index: libroaresd/esdctl.c
===================================================================
--- libroaresd/esdctl.c	(revision 4975)
+++ libroaresd/esdctl.c	(revision 5226)
@@ -367,5 +367,10 @@
 /* see if the server is in stnaby, autostandby, etc */
 esd_standby_mode_t esd_get_standby_mode( int esd ) {
- return roar_simple_get_standby(esd);
+ struct roar_connection con;
+
+ if ( roar_connect_fh(&con, esd) == -1 )
+  return -1;
+
+ return roar_get_standby(&con);
 }
 
Index: libroaresd/esdstream.c
===================================================================
--- libroaresd/esdstream.c	(revision 4978)
+++ libroaresd/esdstream.c	(revision 5226)
@@ -50,9 +50,10 @@
 /* open a socket for playing, monitoring, or recording as a stream */
 /* the *_fallback functions try to open /dev/dsp if there's no EsounD */
-int esd_play_stream( esd_format_t format, int rate,
-                     const char *host, const char *name ) {
+
+static int libroaresd_stream(esd_format_t format, int rate, const char *host, const char *name, int dir) {
  int channels;
  int bits;
  int codec = ROAR_CODEC_DEFAULT;
+ struct roar_stream     s;
 
  if ( (format & ESD_BITS16) ) {
@@ -69,5 +70,10 @@
  }
 
- return roar_simple_stream(rate, channels, bits, codec, (char*)host, ROAR_DIR_PLAY, (char*) name);
+ return roar_simple_stream_obj(&s, rate, channels, bits, codec, (char*)host, dir, (char*)name);
+}
+
+int esd_play_stream( esd_format_t format, int rate,
+                     const char *host, const char *name ) {
+ return libroaresd_stream(format, rate, host, name, ROAR_DIR_PLAY);
 }
 
@@ -87,48 +93,10 @@
 int esd_monitor_stream( esd_format_t format, int rate,
                         const char *host, const char *name ) {
- int channels;
- int bits;
- int codec = ROAR_CODEC_DEFAULT;
-
- ROAR_DBG("esd_monitor_stream(format=%x, rate=%i, host='%s', name='%s') = ?", format, rate, host, name);
-
- if ( (format & ESD_BITS16) ) {
-  bits  = 16;
- } else {
-  bits  = 8;
-  codec = CODEC_DEF_8BIT;
- }
-
- if ( (format & ESD_MONO) ) {
-  channels = 1;
- } else {
-  channels = 2;
- }
-
- return roar_simple_stream(rate, channels, bits, codec, (char*)host, ROAR_DIR_MONITOR, (char*)name);
+ return libroaresd_stream(format, rate, host, name, ROAR_DIR_MONITOR);
 }
 /* int esd_monitor_stream_fallback( esd_format_t format, int rate ); */
 int esd_record_stream( esd_format_t format, int rate,
                        const char *host, const char *name ) {
- int channels;
- int bits;
- int codec = ROAR_CODEC_DEFAULT;
-
- ROAR_DBG("esd_record_stream(format=%x, rate=%i, host='%s', name='%s') = ?", format, rate, host, name);
-
- if ( (format & ESD_BITS16) ) {
-  bits  = 16;
- } else {
-  bits  = 8;
-  codec = CODEC_DEF_8BIT;
- }
-
- if ( (format & ESD_MONO) ) {
-  channels = 1;
- } else {
-  channels = 2;
- }
-
- return roar_simple_stream(rate, channels, bits, codec, (char*)host, ROAR_DIR_RECORD, (char*)name);
+ return libroaresd_stream(format, rate, host, name, ROAR_DIR_RECORD);
 }
 int esd_record_stream_fallback( esd_format_t format, int rate,
@@ -144,22 +112,5 @@
 int esd_filter_stream( esd_format_t format, int rate,
                        const char *host, const char *name ) {
- int channels;
- int bits;
- int codec = ROAR_CODEC_DEFAULT;
-
- if ( (format & ESD_BITS16) ) {
-  bits  = 16;
- } else {
-  bits  = 8;
-  codec = CODEC_DEF_8BIT;
- }
-
- if ( (format & ESD_MONO) ) {
-  channels = 1;
- } else {
-  channels = 2;
- }
-
- return roar_simple_stream(rate, channels, bits, codec, (char*)host, ROAR_DIR_FILTER, (char*)name);
+ return libroaresd_stream(format, rate, host, name, ROAR_DIR_FILTER);
 }
 
Index: roarclients/.release-helper
===================================================================
--- roarclients/.release-helper	(revision 5223)
+++ roarclients/.release-helper	(revision 5226)
@@ -1,3 +1,4 @@
 #!RELEASE-HELPER:0.0beta0
 @RM roarcatsendfile.c
+@RM roarcat2sock.c
 #!END
Index: roarclients/Makefile
===================================================================
--- roarclients/Makefile	(revision 5223)
+++ roarclients/Makefile	(revision 5226)
@@ -9,5 +9,5 @@
 
 #TARGETS_TESTS=pinentrytest zcattest pgptest pipetest polytest roarfctest
-#TARGETS_OLD=roarcatad roarcat2sock roarcatpassfh roarsocktypes
+#TARGETS_OLD=roarcatad roarcatpassfh roarsocktypes
 
 TARGETS=$(TARGETS_IO) $(TARGETS_CTL) $(TARGETS_DSP) $(TARGETS_MISC) $(TARGETS_DEVEL) $(TARGETS_EXAMPLE) $(TARGETS_M) $(TARGETS_VIO)
